Package Details: vimb-git 3.0.0.r1461.46d6f0d-1

Git Clone URL: https://aur.archlinux.org/vimb-git.git (read-only)
Package Base: vimb-git
Description: A Vim-like web browser that is inspired by Pentadactyl and Vimprobable.
Upstream URL: http://fanglingsu.github.io/vimb
Keywords: browser web webkit
Licenses: GPLv3
Conflicts: vimb, vimb2
Provides: vimb
Submitter: 142172
Maintainer: aksr
Last Packager: aksr
Votes: 17
Popularity: 0.022182
First Submitted: 2013-07-01 14:39
Last Updated: 2017-07-13 16:18

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

rti commented on 2017-07-21 06:17

Thanks a lot for updating the package aksr. Works like a charm now!

rti commented on 2017-06-16 05:32

Hi aksr,

I think I understand the confusion now.

Vimb does compile and start with this PKGBUILD, but the webextension is not loaded properly.

Due to the webkit2 process model, vimb now implements a shared library loaded by the webkit process, the webextension. The main process and the webextension communicate with each other in order to implement functionality such as hinting, hjkl scrolling and a lot more.

Unfortunately, there does not seem to be an error message at the moment, if the webextension is not loaded. But you can always check whether the webextension works properly by trying to scroll in a webpage with vim movement keys hjkl.

Best,
rti

rti commented on 2017-06-15 22:20

Hi aksr,
Let me know if I can help in any way here. I would also adopt the package if you like to.
Best,
rti

fanglingsu commented on 2017-06-13 20:39

aksr: I think you should set DESTDIR and PREFIX in build() to the same value like in package() like mentioned at https://fanglingsu.github.io/vimb/#install

rti commented on 2017-06-09 06:39

Thanks for adopting and updating the packet.

Unfortunately, the webextension loading does not seem to work properly. This could be due to the fact that vimb it built with -DEXTENSIONDIR=/usr/local/lib/vimb but the webextension is installed in /usr/lib/vimb/webext_main.so afterwards.

jasonwryan commented on 2017-06-08 21:33

rti: yeah, I abandoned vimb with the impending webkit apocalypse. I'll orphan these...

rti commented on 2017-06-08 21:30

Unfortunately, this PKGBUILD does not build the latest version of vimb corrently.

There is an updated version available from the vimb developer fanglingsu:
https://github.com/fanglingsu/dotfiles/blob/master/build/vimb-git/PKGBUILD

Maybe this could be merged in? Fanglingsu's version does not feature the conflict setting.

jasonwryan commented on 2015-07-16 07:14

Thanks bidulock: updated...

bidulock commented on 2015-07-16 03:18

It is quite typical to use git+https:// for github repos instead of git://.

bidulock commented on 2015-07-16 03:09

Please add provides=(vimb) to the PKGBUILD.

All comments